/*
 * Class COMPARABLE
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_107 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_107 [] = {0xFF01,237,106,0xFFFF};
static const EIF_TYPE_INDEX egt_2_107 [] = {0xFF01,106,0xFFFF};
static const EIF_TYPE_INDEX egt_3_107 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_107 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_107 [] = {0xFF01,106,0xFFFF};
static const EIF_TYPE_INDEX egt_6_107 [] = {0xFF01,106,0xFFFF};
static const EIF_TYPE_INDEX egt_7_107 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_107 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_107 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_107 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_107 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_107 [] = {0xFF01,106,0xFFFF};
static const EIF_TYPE_INDEX egt_13_107 [] = {0xFF01,106,0xFFFF};
static const EIF_TYPE_INDEX egt_14_107 [] = {0xFF01,106,0xFFFF};


static const struct desc_info desc_107[] = {
	{EIF_GENERIC(NULL), 1459, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_107), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_107), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1455, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_107), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_107), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_107), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_107), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_107), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_107), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_107), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_107), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_107), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_107), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0xD5 /*106*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_107), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1452, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1453, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1454, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1456, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_107), 1457, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_107), 1458, 0xFFFFFFFF},
};
void Init107(void)
{
	IDSC(desc_107, 0, 106);
	IDSC(desc_107 + 1, 1, 106);
	IDSC(desc_107 + 32, 203, 106);
	IDSC(desc_107 + 36, 288, 106);
}


#ifdef __cplusplus
}
#endif
